package com.jwipc.order.logic;

import com.jwipc.order.dto.AppointmentSupplierDTO;
import com.jwipc.order.model.query.AppointmentSupplierQuery;
import com.jwipc.page.PageView;

/**
 * <p>
 *  送货单预约供应商配置
 * </p>
 *
 * @author wt
 * @version 1.0
 * @since 2024/3/4
 */
public interface AppointmentSupplierLogic {
    /**
     * 查询列表
     * @param query
     * @return
     */
    PageView getList(AppointmentSupplierQuery query);

    /**
     * 查询数据根据id
     * @param id
     * @return
     */
    AppointmentSupplierDTO getById(Long id);

    /**
     * 新增或编辑数据
     * @param dto
     */
    void saveData(AppointmentSupplierDTO dto);

    /**
     * 删除数据
     * @param id id
     */
    void remove(Long id);

    /**
     * 启用禁用
     * @param id id
     */
    void updateStatus(Long id);
}
